using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.InteropServices;

// Listing 15-5
using System.Diagnostics;

[module: Debuggable(DebuggableAttribute.DebuggingModes.DisableOptimizations)]


namespace AttributesTargetExample
{
    public class Class1
    {
        // Listing 15-6
        [DllImport("User32.dll")]
        [return: MarshalAs(UnmanagedType.Bool)]
        static extern bool IsWindowVisible(HandleRef hWnd);

        // Listing 15-7
        [field: NonSerialized]
        public event EventHandler Frazzled;
    }
}
